For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
HomeAPI ReferenceDocsChangelog
HomeAPI ReferenceDocsChangelog
  • API Reference
      • GETShow metadata
      • PATCHUpdate metadata across multiple files

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceMetadata

Update metadata across multiple files

PATCH
https://api.frame.io/v4/accounts/:account_id/projects/:project_id/metadata/values
PATCH
/v4/accounts/:account_id/projects/:project_id/metadata/values
1from frameio import Frameio
2from frameio.metadata import BulkUpdateMetadataParamsData, BulkUpdateMetadataParamsDataValuesItem
3
4client = Frameio(
5 token="YOUR_TOKEN_HERE",
6)
7
8client.metadata.bulk_update(
9 account_id="d679ac81-1dad-4028-bf65-b8a171d9947c",
10 project_id="6ddf768a-2771-4c54-8d55-76a90efd39ea",
11 data=BulkUpdateMetadataParamsData(
12 file_ids=[
13 "0dea5fcf-f3e4-4f80-93df-0b64092081fc",
14 "f2a2d754-c8e5-42e9-b263-4b91a536b8bc"
15 ],
16 values=[
17 BulkUpdateMetadataParamsDataValuesItem(
18 field_definition_id="9075d449-1b77-48d6-9335-eb59daa03e57",
19 value=[{"id": "1a4f269c-83ee-4f0f-b9d2-aa9ab21285e9", "type": "user"}, {"id": "9861fb3c-970e-4d83-8267-bb6d3353abf7", "type": "account_user_group"}],
20 )
21 ],
22 ),
23)

Update metadata values across multiple files.
Rate Limits: 10 calls per 1.00 minute(s) per account_user

Was this page helpful?
Previous

Create account level field definitions

Next

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequiredformat: "uuid"
A UUID String
project_idstringRequiredformat: "uuid"
A UUID String

Request

Request body
dataobjectRequired

Response

No Content

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error